# GetSaliencyOptionsForNodeGroup(string)

Method in [Dialogue](/3.1/api/csharp/yarn/yarn.dialogue.md)

## Summary

Queries the [Dialogue](/3.1/api/csharp/yarn/yarn.dialogue.md) for what content could possibly run if the node group nodeGroup was run.

```csharp
public IEnumerable<Saliency.ContentSaliencyOption> GetSaliencyOptionsForNodeGroup(string nodeGroup)
```

## Remarks

This method evaluates all nodes in the given node group, and returns a [ContentSaliencyOption](/3.1/api/csharp/yarn.saliency/yarn.saliency.contentsaliencyoption.md) object for each node. This object contains the current number of passing and failing 'when' clauses on the node, as well as the complexity score for that node. This is the same information that's passed to a [IContentSaliencyStrategy](/3.1/api/csharp/yarn.saliency/yarn.saliency.icontentsaliencystrategy.md) object's [QueryBestContent(IEnumerable\<ContentSaliencyOption>)](/3.1/api/csharp/yarn.saliency/yarn.saliency.icontentsaliencystrategy/yarn.saliency.icontentsaliencystrategy.querybestcontent.md) method. This method is read-only, and calling it will not modify any variable state.

Note that this method does not filter its output, and may include content options whose [FailingConditionValueCount](/3.1/api/csharp/yarn.saliency/yarn.saliency.contentsaliencyoption/yarn.saliency.contentsaliencyoption.failingconditionvaluecount.md) is greater than zero. It's up to the caller of this function to filter out these options if they're not wanted.

This method can be used to see if *any* content will appear when a given node group is run. If the collection returned by this method is empty, then running this node group will not result in any content. This can be used, for example, to decide whether to show a 'character can be spoken to' indicator. You can also examine the individal [ContentSaliencyOption](/3.1/api/csharp/yarn.saliency/yarn.saliency.contentsaliencyoption.md) objects to see if any content is available that passes a filter, such as whether content might appear that has a user-defined 'plot critical' tag.

## Parameters

| Name               | Description                                              |
| ------------------ | -------------------------------------------------------- |
| `string` nodeGroup | The name of the node group to get available content for. |

## Returns

A collection of [ContentSaliencyOption](/3.1/api/csharp/yarn.saliency/yarn.saliency.contentsaliencyoption.md) objects that may appear if and when the node group `nodeGroup` is run.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn/yarn.dialogue/yarn.dialogue.getsaliencyoptionsfornodegroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
